Security Enhanced Linux Reference Policy

# Layer: apps

## Module: wireshark

Tunables Interfaces

### Description:

Wireshark packet capture tool.

### Tunables:

wireshark_manage_all_user_content

##### Default value

false

##### Description

Grant the wireshark domains manage rights on all user content

wireshark_manage_generic_user_content

##### Default value

false

##### Description

Grant the wireshark domains manage rights on generic user content

wireshark_read_all_user_content

##### Default value

false

##### Description

Grant the wireshark domains read access to all user content

wireshark_read_generic_user_content

##### Default value

true

##### Description

Grant the wireshark domains read access to generic user content

Return

### Interfaces:

wireshark_domtrans( domain )

##### Summary

Execute wireshark in wireshark domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

wireshark_role( role , domain )

##### Summary

Role access for wireshark.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

Return